Skip to main content
`Ctrl`+`K`

# PetscFEDestroy

Destroys a `PetscFE` object

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEDestroy(PetscFE *fem)

Collective

## Input Parameter

- fem - the `PetscFE` object to destroy

## See Also

`PetscFE`, `PetscFEView()`

## Level

beginner

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/snes/tutorials/ex64.c
src/dm/impls/plex/tutorials/ex4f90.F90
src/dm/impls/plex/tutorials/ex8.c
src/dm/impls/plex/tutorials/ex16.c
src/snes/tutorials/ex63.c
src/dm/field/tutorials/ex1.c
src/dm/dt/dualspace/impls/lagrange/tutorials/ex2.c
src/dm/impls/swarm/tutorials/ex1f90.F90
src/dm/impls/swarm/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex15.c

## Implementations

PetscFEDestroy_Basic() in src/dm/dt/fe/impls/basic/febasic.c
PetscFEDestroy_Composite() in src/dm/dt/fe/impls/composite/fecomposite.c
PetscFEDestroy_OpenCL() in src/dm/dt/fe/impls/opencl/feopencl.c
PetscFEDestroy_Vector() in src/dm/dt/fe/impls/vector/fevector.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages